aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xprofile.d/msec.csh2
-rwxr-xr-xprofile.d/msec.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/profile.d/msec.csh b/profile.d/msec.csh
index 97473bd..2bfe08d 100755
--- a/profile.d/msec.csh
+++ b/profile.d/msec.csh
@@ -25,7 +25,7 @@ endif
# So while modifying the PATH, do not rely on the PATH until unhash is done
if ( ${?ALLOW_CURDIR_IN_PATH} == 'yes' ) then
- if ! { (echo "${PATH}" | /bin/grep -E -q :.) } then
+ if ! { (echo "${PATH}" | /bin/grep -F -q :.) } then
setenv PATH "${PATH}:."
endif
endif
diff --git a/profile.d/msec.sh b/profile.d/msec.sh
index 2b1a7a5..680f7fe 100755
--- a/profile.d/msec.sh
+++ b/profile.d/msec.sh
@@ -20,7 +20,7 @@ else
fi
if [ "$ALLOW_CURDIR_IN_PATH" == "yes" ]; then
- if ! echo ${PATH} | grep -E -q :.; then
+ if ! echo ${PATH} | grep -F -q :.; then
export PATH=$PATH:.
fi
fi